<?php

/*
    Copyright (C) 2006  bf2statistics

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*******************************************
 * 11/28/05 v0.0.1 - ALPHA build           *
 * 11/30/05 v0.0.2 - Added LAN IP          *
 *                 - Added IP check        *
 * 12/01/05 v0.0.3 - Added joined          *
 *                 - Fixed fields          *
 *                 - Added LAN PID         *
 * 12/02/05 v0.0.4 - Added rounds          *
 *                 - Added rndscore        *
 *                 - Added map info        *
 *                 - Added deaths          *
 * 12/03/05 v0.0.5 - Added import          *
 *                   Added logpath         *
 *                   Added win/loss        *
 *                   Rewrote army          *
 *                   Added IP check        *
 * 12/08/05 v0.0.6 - Added deaths          *
 * 12/09/05 v0.0.7 - Removed nvg/gas mask  *
 *                   Added SF awards       *
 *                   Added custom awards   *
 * 12/10/05 v0.0.8 - Added prefix          *
 * 12/14/05 v0.0.9 - Removed ke6-8         *
 *                   Added be9             *
 *                   Added best/worst rnd  *
 *                   Added Msr/Fsr         *
 *                   Added Ncm/Gsm/pmm     *
 *                   Added smoc check      *
 *                   Added abr-            *
 * 12/22/05 v0.0.10 - Added bot ranking    *
 * 12/25/05 v0.0.11 - Updated for bf2      *
 * 12/28/05 v0.0.12 - Updated complete     *
 * 12/29/05 v0.0.13 - Added minplayers     *
 * 01/03/06 v0.1 - BETA release            *
 * 01/05/06 v0.1.1 - Removed custom awards *
 * 02/01/06 v1.0 - Public Release          *
 *******************************************/

// Get URL POST data
$rawdata = file_get_contents('php://input');

// Seperate data
$gooddata = explode('\\', $rawdata);

// Make key/value pairs
$prefix = $gooddata[0];
$mapname = strtolower($gooddata[1]);
for ($x = 2; $x < count($gooddata); $x += 2) {$data[$gooddata[$x]] = $gooddata[$x + 1];}

// Import configuration
require('config.php');

// Create backup file
if ($data['import'] != 1)
{
	$filename = '';
	if ($prefix != '') {$filename .= $prefix . '-';}
	$filename .= $mapname . '_' . date('ymd_Hi', (int)$gooddata[3]) . '.txt';
	$file = @fopen($logpath . '/' . $filename, 'wb');
	@fwrite($file, $rawdata);
	@fclose($file);
}

// Open database connection
$connection = @mysql_connect($dbhost, $dbuser, $dbpass);
@mysql_select_db($dbname);

// Global variables
$globals = array();
#init these, just because?
$globals['mapscore'] = $globals['mapkills'] = $globals['mapdeaths'] = 0;

// Minimum player check
if ($data['pc'] >= $minplayers)
{

	// Process players
	for ($x = 0; $x < $data['pc']; $x++)
	{
		// Set global variables
		$globals['mapscore'] += $data["rs_$x"];
		$globals['mapkills'] += $data["kills_$x"];
		$globals['mapdeaths'] += $data["deaths_$x"];

		// Calculate wins/losses
		$wins = $losses = 0;
		if ($data["c_$x"])
		{
			if ($data['win'] == $data["t_$x"]) {$wins = 1;}
			else {$losses = 1;}
		}

		// Fix LAN IP/PID
		if ($data["name_$x"] == $lan[0])
		{
			$data["ip_$x"] = $lan[1];
			$data["pID_$x"] = $lan[2];
		}

		// Fix bot IP
		if ($data["ip_$x"] == 'N/A') {$data["ip_$x"] = '127.0.0.1';}

		// Player
		$query = "SELECT * FROM player WHERE id = " . $data["pID_$x"] . "";
		$result = mysql_query($query) or die(mysql_error());
		if ($data["c_$x"]) {$complete = 1;}
		else {$complete = 0;}
		if (!mysql_num_rows($result))
		{
			// Find country
			$query = "SELECT country FROM ip2nation WHERE ip < INET_ATON('" . $data["ip_$x"] . "') ORDER BY ip DESC LIMIT 1";
			$result = mysql_query($query) or die(mysql_error());
			if (!mysql_num_rows($result)) {$country = 'xx';}
			else
			{
				$row = mysql_fetch_array($result);
				$country = $row['country'];
			}

			// Insert information
			$query = "INSERT INTO player SET
				id = " . $data["pID_$x"] . ",
				name = '" . $data["name_$x"] . "',
				country = '{$country}',
				time = " . $data["ctime_$x"] . ",
				rounds = {$complete},
				ip = '" . $data["ip_$x"] . "',
				score = " . $data["rs_$x"] . ",
				cmdscore = " . $data["cs_$x"] . ",
				skillscore = " . $data["ss_$x"] . ",
				teamscore = " . $data["ts_$x"] . ",
				kills = " . $data["kills_$x"] . ",
				deaths = " . $data["deaths_$x"] . ",
				captures = " . $data["cpc_$x"] . ",
				neutralizes = " . $data["cpn_$x"] . ",
				captureassists = " . $data["cpa_$x"] . ",
				neutralizeassists = " . $data["cpna_$x"] . ",
				defends = " . $data["cpd_$x"] . ",
				damageassists = " . $data["ka_$x"] . ",
				heals = " . $data["he_$x"] . ",
				revives = " . $data["rev_$x"] . ",
				ammos = " . $data["rsp_$x"] . ",
				repairs = " . $data["rep_$x"] . ",
				targetassists = " . $data["tre_$x"] . ",
				driverspecials = " . $data["drs_$x"] . ",
				driverassists = " . $data["dra_$x"] . ",
				passengerassists = " . $data["pa_$x"] . ",
				teamkills = " . $data["tmkl_$x"] . ",
				teamdamage = " . $data["tmdg_$x"] . ",
				teamvehicledamage = " . $data["tmvd_$x"] . ",
				suicides = " . $data["su_$x"] . ",
				killstreak = " . $data["ks_$x"] . ",
				deathstreak = " . $data["ds_$x"] . ",
				rank = " . $data["rank_$x"] . ",
				banned = " . $data["ban_$x"] . ",
				kicked = " . $data["kck_$x"] . ",
				cmdtime = " . $data["tco_$x"] . ",
				sqltime = " . $data["tsl_$x"] . ",
				sqmtime = " . $data["tsm_$x"] . ",
				lwtime = " . $data["tlw_$x"] . ",
				wins = {$wins},
				losses = {$losses},
				availunlocks = 0,
				usedunlocks = 0,
				joined = " . time() . ",
				rndscore = " . $data["rs_$x"] . ",
				lastonline = " . time() . "
			";
			mysql_query($query) or die(mysql_error());

			// Insert unlocks
			for ($i = 11; $i < 100; $i += 11)
			{
				$query = "INSERT INTO unlocks SET
					id = " . $data["pID_$x"] . ",
					kit = {$i},
					state = 'n'
				";
				mysql_query($query) or die(mysql_error());
			}
			for ($i = 111; $i < 334; $i += 111)
			{
				$query = "INSERT INTO unlocks SET
					id = " . $data["pID_$x"] . ",
					kit = {$i},
					state = 'n'
				";
				mysql_query($query) or die(mysql_error());
			}
		}
		else
		{
			$row = mysql_fetch_array($result);

			// Check IP
			if ($row['ip'] != $data["ip_$x"])
			{
				$query2 = "SELECT country FROM ip2nation WHERE ip < INET_ATON('" . $data["ip_$x"] . "') ORDER BY ip DESC LIMIT 1";
				$result2 = mysql_query($query2) or die(mysql_error());
				if (!mysql_num_rows($result2)) {$country = 'xx';}
				else
				{
					$row2 = mysql_fetch_array($result2);
					$country = $row2['country'];
				}
			}
			else {$country = $row['country'];}

			// Fix bot rank
			if ($data["ip_$x"] == '127.0.0.1')
			{
				$score = $row['score'] + $data["rs_$x"];

				// NOTE: bots cannot get 1SG/SGM/SMC
				if ($score >= 200000) {$data["rank_$x"] = 12;}
				elseif ($score >= 50000) {$data["rank_$x"] = 9;}
				elseif ($score >= 20000) {$data["rank_$x"] = 7;}
				elseif ($score >= 8000) {$data["rank_$x"] = 6;}
				elseif ($score >= 5000) {$data["rank_$x"] = 5;}
				elseif ($score >= 2500) {$data["rank_$x"] = 4;}
				elseif ($score >= 800) {$data["rank_$x"] = 3;}
				elseif ($score >= 500) {$data["rank_$x"] = 2;}
				elseif ($score >= 150) {$data["rank_$x"] = 1;}
				else {$data["rank_$x"] = 0;}
			}

			// Calculate kill/deathstreak
			$killstreak = ($row['killstreak'] > $data["ks_$x"]) ? $row['killstreak'] : $data["ks_$x"];
			$deathstreak = ($row['deathstreak'] > $data["ds_$x"]) ? $row['deathstreak'] : $data["ds_$x"];

			// Calculate best round score
			$rndscore = ($row['rndscore'] > $data["rs_$x"]) ? $row['rndscore'] : $data["rs_$x"];

			// Calculate rank change
			$chng = $decr = 0;
			if ($data["rank_$x"] != $row['rank'])
			{
				if ($data["rank_$x"] > $row['rank']) {$chng = 1;}
				else {$decr = 1;}
			}

			// Update information
			$query = "UPDATE player SET
				country = '{$country}',
				time = {$row[time]} + " . $data["ctime_$x"] . ",
				rounds = {$row[rounds]} + {$complete},
				ip = '" . $data["ip_$x"] . "',
				score = {$row[score]} + " . $data["rs_$x"] . ",
				cmdscore = {$row[cmdscore]} + " . $data["cs_$x"] . ",
				skillscore = {$row[skillscore]} + " . $data["ss_$x"] . ",
				teamscore = {$row[teamscore]} + " . $data["ts_$x"] . ",
				kills = {$row[kills]} + " . $data["kills_$x"] . ",
				deaths = {$row[deaths]} + " . $data["deaths_$x"] . ",
				captures = {$row[captures]} + " . $data["cpc_$x"] . ",
				neutralizes = {$row[neutralizes]} + " . $data["cpn_$x"] . ",
				captureassists = {$row[captureassists]} + " . $data["cpa_$x"] . ",
				neutralizeassists = {$row[neutralizeassists]} + " . $data["cpna_$x"] . ",
				defends = {$row[defends]} + " . $data["cpd_$x"] . ",
				damageassists = {$row[damageassists]} + " . $data["ka_$x"] . ",
				heals = {$row[heals]} + " . $data["he_$x"] . ",
				revives = {$row[revives]} + " . $data["rev_$x"] . ",
				ammos = {$row[ammos]} + " . $data["rsp_$x"] . ",
				repairs = {$row[repairs]} + " . $data["rep_$x"] . ",
				targetassists = {$row[targetassists]} + " . $data["tre_$x"] . ",
				driverspecials = {$row[driverspecials]} + " . $data["drs_$x"] . ",
				driverassists = {$row[driverassists]} + " . $data["dra_$x"] . ",
				passengerassists = {$row[passengerassists]} + " . $data["pa_$x"] . ",
				teamkills = {$row[teamkills]} + " . $data["tmkl_$x"] . ",
				teamdamage = {$row[teamdamage]} + " . $data["tmdg_$x"] . ",
				teamvehicledamage = {$row[teamvehicledamage]} + " . $data["tmvd_$x"] . ",
				suicides = {$row[suicides]} + " . $data["su_$x"] . ",
				killstreak = {$killstreak},
				deathstreak = {$deathstreak},
				rank = " . $data["rank_$x"] . ",
				banned = {$row[banned]} + " . $data["ban_$x"] . ",
				kicked = {$row[kicked]} + " . $data["kck_$x"] . ",
				cmdtime = {$row[cmdtime]} + " . $data["tco_$x"] . ",
				sqltime = {$row[sqltime]} + " . $data["tsl_$x"] . ",
				sqmtime = {$row[sqmtime]} + " . $data["tsm_$x"] . ",
				lwtime = {$row[lwtime]} + " . $data["tlw_$x"] . ",
				wins = {$row[wins]} + {$wins},
				losses = {$row[losses]} + {$losses},
				rndscore = {$rndscore},
				lastonline = " . time() . ",
				chng = {$chng},
				decr = {$decr}
				WHERE id = " . $data["pID_$x"] . "
			";
			mysql_query($query) or die(mysql_error());
		}

		// Army
		if ($data['v'] == 'bf2')
		{
			$data["ta3_$x"] = 0;
			$data["ta4_$x"] = 0;
			$data["ta5_$x"] = 0;
			$data["ta6_$x"] = 0;
			$data["ta7_$x"] = 0;
			$data["ta8_$x"] = 0;
		}

		$query = "SELECT * FROM army WHERE id = " . $data["pID_$x"] . "";
		$result = mysql_query($query) or die(mysql_error());
		if (!mysql_num_rows($result))
		{
			// Insert information
			$query = "INSERT INTO army SET
				id = " . $data["pID_$x"] . ",
				time0 = " . $data["ta0_$x"] . ",
				time1 = " . $data["ta1_$x"] . ",
				time2 = " . $data["ta2_$x"] . ",
				time3 = " . $data["ta3_$x"] . ",
				time4 = " . $data["ta4_$x"] . ",
				time5 = " . $data["ta5_$x"] . ",
				time6 = " . $data["ta6_$x"] . ",
				time7 = " . $data["ta7_$x"] . ",
				time8 = " . $data["ta8_$x"] . ",
				win" . $data["a_$x"] . " = {$wins},
				loss" . $data["a_$x"] . " = {$losses},
				score" . $data["a_$x"] . " = " . $data["rs_$x"] . ",
				best" . $data["a_$x"] . " = " . $data["rs_$x"] . ",
				worst" . $data["a_$x"] . " = " . $data["rs_$x"] . "
			";
			mysql_query($query) or die(mysql_error());
		}
		else
		{
			$row = mysql_fetch_array($result);

			$army = $data["a_$x"];

			// Calculate best/worst score
			$best = ($row["best$army"] > $data["rs_$x"]) ? $row["best$army"] : $data["rs_$x"];
			$worst = ($row["worst$army"] < $data["rs_$x"]) ? $row["worst$army"] : $data["rs_$x"];

			// Update information
			$win = $row["win$army"];
			$loss = $row["loss$army"];
			$score = $row["score$army"];
			$query = "UPDATE army SET
				time0 = {$row[time0]} + " . $data["ta0_$x"] . ",
				time1 = {$row[time1]} + " . $data["ta1_$x"] . ",
				time2 = {$row[time2]} + " . $data["ta2_$x"] . ",
				time3 = {$row[time3]} + " . $data["ta3_$x"] . ",
				time4 = {$row[time4]} + " . $data["ta4_$x"] . ",
				time5 = {$row[time5]} + " . $data["ta5_$x"] . ",
				time6 = {$row[time6]} + " . $data["ta6_$x"] . ",
				time7 = {$row[time7]} + " . $data["ta7_$x"] . ",
				time8 = {$row[time8]} + " . $data["ta8_$x"] . ",
				win" . $army . " = {$win} + {$wins},
				loss" . $army . " = {$loss} + {$losses},
				score" . $army . " = {$score} + " . $data["rs_$x"] . ",
				best" . $army . " = {$best},
				worst" . $army . " = {$worst}
				WHERE id = " . $data["pID_$x"] . "
			";
			mysql_query($query) or die(mysql_error());
		}

		// Kills
		$mvns = array();
		for ($i = 0, $count = 0; $i < count($gooddata); $i++)
		{
			if ($gooddata[$i] == "mvns_$x")
			{
				$mvns[$count] = $gooddata[$i + 1];
				$mvns[++$count] = $gooddata[$i + 3];
				$count++;
			}
		}
		for ($i = 0; $i < count($mvns); $i += 2)
		{
			$query = "SELECT count FROM kills WHERE (attacker = " . $data["pID_$x"] . ") AND (victim = {$mvns[$i]})";
			$result = mysql_query($query) or die(mysql_error());
			if (!mysql_num_rows($result))
			{
				// Insert information
				$query = "INSERT INTO kills SET
					attacker = " . $data["pID_$x"] . ",
					victim = {$mvns[$i]},
					count = " . $mvns[$i + 1] . "
				";
				mysql_query($query) or die(mysql_error());
			}
			else
			{
				$row = mysql_fetch_array($result);

				// Update information
				$query = "UPDATE kills SET
					count = {$row[count]} + " . $mvns[$i + 1] . "
					WHERE (attacker = " . $data["pID_$x"] . ") AND (victim = {$mvns[$i]})
				";
				mysql_query($query) or die(mysql_error());
			}
		}

		// Awards
		if ($complete)
		{
			$awards = array();
			getAwards();
			if (count($awards))
			{
				for ($i = 0; $i < count($awards); $i += 2)
				{
					if (($awards[$i] > 2000000) && ($awards[$i] < 3000000)) #medals
					{
						$query = "SELECT level FROM awards WHERE (id = " . $data["pID_$x"] . ") AND (awd = {$awards[$i]})";
					}
					else
					{
						$query = "SELECT level FROM awards WHERE (id = " . $data["pID_$x"] . ") AND (awd = {$awards[$i]}) AND (level = " . $awards[$i + 1] . ")";
					}
					$result = mysql_query($query) or die(mysql_error());
					if (!mysql_num_rows($result))
					{
						if (($awards[$i] > 2000000) && ($awards[$i] < 3000000)) {$first = time();} #medals
						else {$first = 0;}

						// Insert information
						$query = "INSERT INTO awards SET
							id = " . $data["pID_$x"] . ",
							awd = {$awards[$i]},
							level = " . $awards[$i + 1] . ",
							earned = " . time() . ",
							first = {$first}
						";
						mysql_query($query) or die(mysql_error());
					}
					else
					{
						if (($awards[$i] > 2000000) && ($awards[$i] < 3000000)) #medals
						{
							$row = mysql_fetch_array($result);

							// Update information
							$query = "UPDATE awards SET
								level = " . $row['level'] . " + 1,
								earned = " . time() . "
								WHERE (id = " . $data["pID_$x"] . ") AND (awd = {$awards[$i]})
							";
							mysql_query($query) or die(mysql_error());
						}
					}

					// Calculate best round in army
					if (($awards[$i] == 2051907) && ($wins))
					{
						$army = $data["a_$x"];
						$brnd = "brnd$army";

						$query = "SELECT {$brnd} FROM army WHERE id = " . $data["pID_$x"];
						$result = mysql_query($query) or die(mysql_error());
						$row = mysql_fetch_array($result);

						$query = "UPDATE army SET " .
							$brnd . " = " . $row[$brnd] . " + 1
							WHERE id = " . $data["pID_$x"];
						mysql_query($query) or die(mysql_error());
					}
				}
			}
		}

		// Vehicles
		$query = "SELECT * FROM vehicles WHERE id = " . $data["pID_$x"] . "";
		$result = mysql_query($query) or die(mysql_error());
		if (!mysql_num_rows($result))
		{
			// Insert information
			$query = "INSERT INTO vehicles SET id = " . $data["pID_$x"] . ", ";
			for ($i = 0; $i < 7; $i++)
			{
				$query .= "time" . $i . " = " . $data["tv$i" . '_' . $x] . ",
					kills" . $i . " = " . $data["kv$i" . '_' . $x] . ",
					deaths" . $i . " = " . $data["bv$i" . '_' . $x] . ",
					rk" . $i . " = " . $data["kvr$i" . '_' . $x] . ",
				";
			}
			$query .= "timepara = " . $data["tvp_$x"];
			mysql_query($query) or die(mysql_error());
		}
		else
		{
			$row = mysql_fetch_array($result);

			// Update information
			$query = "UPDATE vehicles SET ";
			for ($i = 0; $i < 7; $i++)
			{
				$query .= "time" . $i . " = " . $row["time$i"] . " + " . $data["tv$i" . '_' . $x] . ",
					kills" . $i . " = " . $row["kills$i"] . " + " . $data["kv$i" . '_' . $x] . ",
					deaths" . $i . " = " . $row["deaths$i"] . " + " . $data["bv$i" . '_' . $x] . ",
					rk" . $i . " = " . $row["rk$i"] . " + " . $data["kvr$i" . '_' . $x] . ",
				";
			}
			$query .= "timepara = {$row[timepara]} + " . $data["tvp_$x"] . "
				WHERE id = " . $data["pID_$x"] . "
			";
			mysql_query($query) or die(mysql_error());
		}

		// Kits
		$query = "SELECT * FROM kits WHERE id = " . $data["pID_$x"] . "";
		$result = mysql_query($query) or die(mysql_error());
		if (!mysql_num_rows($result))
		{
			// Insert information
			$query = "INSERT INTO kits SET id = " . $data["pID_$x"];
			for ($i = 0; $i < 7; $i++)
			{
				$query .= ", time" . $i . " = " . $data["tk$i" . '_' . $x] . ",
					kills" . $i . " = " . $data["kk$i" . '_' . $x] . ",
					deaths" . $i . " = " . $data["dk$i" . '_' . $x] . "
				";
			}
			mysql_query($query) or die(mysql_error());
		}
		else
		{
			$row = mysql_fetch_array($result);

			// Update information
			$query = "UPDATE kits SET ";
			for ($i = 0; $i < 7; $i++)
			{
				if ($i) {$query .= ',';}
				$query .= "time" . $i . " = " . $row["time$i"] . " + " . $data["tk$i" . '_' . $x] . ",
					kills" . $i . " = " . $row["kills$i"] . " + " . $data["kk$i" . '_' . $x] . ",
					deaths" . $i . " = " . $row["deaths$i"] . " + " . $data["dk$i" . '_' . $x] . "
				";
			}
			$query .= "WHERE id = " . $data["pID_$x"];
			mysql_query($query) or die(mysql_error());
		}

		// Weapons
		if ($data['v'] == 'bf2')
		{
			$data["te6_$x"] = 0;
			$data["te7_$x"] = 0;
			$data["te8_$x"] = 0;
			$data["be8_$x"] = 0;
			$data["be9_$x"] = 0;
			$data["de6_$x"] = 0;
			$data["de7_$x"] = 0;
			$data["de8_$x"] = 0;
		}

		$query = "SELECT * FROM weapons WHERE id = " . $data["pID_$x"] . "";
		$result = mysql_query($query) or die(mysql_error());
		if (!mysql_num_rows($result))
		{
			// Insert information
			$query = "INSERT INTO weapons SET
				id = " . $data["pID_$x"] . ",
				time0 = " . $data["tw0_$x"] . ",
				time1 = " . $data["tw1_$x"] . ",
				time2 = " . $data["tw2_$x"] . ",
				time3 = " . $data["tw3_$x"] . ",
				time4 = " . $data["tw4_$x"] . ",
				time5 = " . $data["tw5_$x"] . ",
				time6 = " . $data["tw6_$x"] . ",
				time7 = " . $data["tw7_$x"] . ",
				time8 = " . $data["tw8_$x"] . ",
				knifetime = " . $data["te0_$x"] . ",
				c4time = " . $data["te1_$x"] . ",
				handgrenadetime = " . $data["te3_$x"] . ",
				claymoretime = " . $data["te2_$x"] . ",
				shockpadtime = " . $data["te4_$x"] . ",
				atminetime = " . $data["te5_$x"] . ",
				tacticaltime = " . $data["te6_$x"] . ",
				grapplinghooktime = " . $data["te7_$x"] . ",
				ziplinetime = " . $data["te8_$x"] . ",
				kills0 = " . $data["kw0_$x"] . ",
				kills1 = " . $data["kw1_$x"] . ",
				kills2 = " . $data["kw2_$x"] . ",
				kills3 = " . $data["kw3_$x"] . ",
				kills4 = " . $data["kw4_$x"] . ",
				kills5 = " . $data["kw5_$x"] . ",
				kills6 = " . $data["kw6_$x"] . ",
				kills7 = " . $data["kw7_$x"] . ",
				kills8 = " . $data["kw8_$x"] . ",
				knifekills = " . $data["ke0_$x"] . ",
				c4kills = " . $data["ke1_$x"] . ",
				handgrenadekills = " . $data["ke3_$x"] . ",
				claymorekills = " . $data["ke2_$x"] . ",
				shockpadkills = " . $data["ke4_$x"] . ",
				atminekills = " . $data["ke5_$x"] . ",
				deaths0 = " . $data["bw0_$x"] . ",
				deaths1 = " . $data["bw1_$x"] . ",
				deaths2 = " . $data["bw2_$x"] . ",
				deaths3 = " . $data["bw3_$x"] . ",
				deaths4 = " . $data["bw4_$x"] . ",
				deaths5 = " . $data["bw5_$x"] . ",
				deaths6 = " . $data["bw6_$x"] . ",
				deaths7 = " . $data["bw7_$x"] . ",
				deaths8 = " . $data["bw8_$x"] . ",
				knifedeaths = " . $data["be0_$x"] . ",
				c4deaths = " . $data["be1_$x"] . ",
				handgrenadedeaths = " . $data["be3_$x"] . ",
				claymoredeaths = " . $data["be2_$x"] . ",
				shockpaddeaths = " . $data["be4_$x"] . ",
				atminedeaths = " . $data["be5_$x"] . ",
				ziplinedeaths = " . $data["be8_$x"] . ",
				grapplinghookdeaths = " . $data["be9_$x"] . ",
				tacticaldeployed = " . $data["de6_$x"] . ",
				grapplinghookdeployed = " . $data["de7_$x"] . ",
				ziplinedeployed = " . $data["de8_$x"] . ",
				fired0 = " . $data["sw0_$x"] . ",
				fired1 = " . $data["sw1_$x"] . ",
				fired2 = " . $data["sw2_$x"] . ",
				fired3 = " . $data["sw3_$x"] . ",
				fired4 = " . $data["sw4_$x"] . ",
				fired5 = " . $data["sw5_$x"] . ",
				fired6 = " . $data["sw6_$x"] . ",
				fired7 = " . $data["sw7_$x"] . ",
				fired8 = " . $data["sw8_$x"] . ",
				knifefired = " . $data["se0_$x"] . ",
				c4fired = " . $data["se1_$x"] . ",
				claymorefired = " . $data["se2_$x"] . ",
				handgrenadefired = " . $data["se3_$x"] . ",
				shockpadfired = " . $data["se4_$x"] . ",
				atminefired = " . $data["se5_$x"] . ",
				hit0 = " . $data["hw0_$x"] . ",
				hit1 = " . $data["hw1_$x"] . ",
				hit2 = " . $data["hw2_$x"] . ",
				hit3 = " . $data["hw3_$x"] . ",
				hit4 = " . $data["hw4_$x"] . ",
				hit5 = " . $data["hw5_$x"] . ",
				hit6 = " . $data["hw6_$x"] . ",
				hit7 = " . $data["hw7_$x"] . ",
				hit8 = " . $data["hw8_$x"] . ",
				knifehit = " . $data["he0_$x"] . ",
				c4hit = " . $data["he1_$x"] . ",
				claymorehit = " . $data["he2_$x"] . ",
				handgrenadehit = " . $data["he3_$x"] . ",
				shockpadhit = " . $data["he4_$x"] . ",
				atminehit = " . $data["he5_$x"] . "
			";
			mysql_query($query) or die(mysql_error());
		}
		else
		{
			$row = mysql_fetch_array($result);

			// Update information
			$query = "UPDATE weapons SET
				time0 = {$row[time0]} + " . $data["tw0_$x"] . ",
				time1 = {$row[time1]} + " . $data["tw1_$x"] . ",
				time2 = {$row[time2]} + " . $data["tw2_$x"] . ",
				time3 = {$row[time3]} + " . $data["tw3_$x"] . ",
				time4 = {$row[time4]} + " . $data["tw4_$x"] . ",
				time5 = {$row[time5]} + " . $data["tw5_$x"] . ",
				time6 = {$row[time6]} + " . $data["tw6_$x"] . ",
				time7 = {$row[time7]} + " . $data["tw7_$x"] . ",
				time8 = {$row[time8]} + " . $data["tw8_$x"] . ",
				knifetime = {$row[knifetime]} + " . $data["te0_$x"] . ",
				c4time = {$row[c4time]} + " . $data["te1_$x"] . ",
				handgrenadetime = {$row[handgrenadetime]} + " . $data["te3_$x"] . ",
				claymoretime = {$row[claymoretime]} + " . $data["te2_$x"] . ",
				shockpadtime = {$row[shockpadtime]} + " . $data["te4_$x"] . ",
				atminetime = {$row[atminetime]} + " . $data["te5_$x"] . ",
				tacticaltime = {$row[tacticaltime]} + " . $data["te6_$x"] . ",
				grapplinghooktime = {$row[grapplinghooktime]} + " . $data["te7_$x"] . ",
				ziplinetime = {$row[ziplinetime]} + " . $data["te8_$x"] . ",
				kills0 = {$row[kills0]} + " . $data["kw0_$x"] . ",
				kills1 = {$row[kills1]} + " . $data["kw1_$x"] . ",
				kills2 = {$row[kills2]} + " . $data["kw2_$x"] . ",
				kills3 = {$row[kills3]} + " . $data["kw3_$x"] . ",
				kills4 = {$row[kills4]} + " . $data["kw4_$x"] . ",
				kills5 = {$row[kills5]} + " . $data["kw5_$x"] . ",
				kills6 = {$row[kills6]} + " . $data["kw6_$x"] . ",
				kills7 = {$row[kills7]} + " . $data["kw7_$x"] . ",
				kills8 = {$row[kills8]} + " . $data["kw8_$x"] . ",
				knifekills = {$row[knifekills]} + " . $data["ke0_$x"] . ",
				c4kills = {$row[c4kills]} + " . $data["ke1_$x"] . ",
				handgrenadekills = {$row[handgrenadekills]} + " . $data["ke3_$x"] . ",
				claymorekills = {$row[claymorekills]} + " . $data["ke2_$x"] . ",
				shockpadkills = {$row[shockpadkills]} + " . $data["ke4_$x"] . ",
				atminekills = {$row[atminekills]} + " . $data["ke5_$x"] . ",
				deaths0 = {$row[deaths0]} + " . $data["bw0_$x"] . ",
				deaths1 = {$row[deaths1]} + " . $data["bw1_$x"] . ",
				deaths2 = {$row[deaths2]} + " . $data["bw2_$x"] . ",
				deaths3 = {$row[deaths3]} + " . $data["bw3_$x"] . ",
				deaths4 = {$row[deaths4]} + " . $data["bw4_$x"] . ",
				deaths5 = {$row[deaths5]} + " . $data["bw5_$x"] . ",
				deaths6 = {$row[deaths6]} + " . $data["bw6_$x"] . ",
				deaths7 = {$row[deaths7]} + " . $data["bw7_$x"] . ",
				deaths8 = {$row[deaths8]} + " . $data["bw8_$x"] . ",
				knifedeaths = {$row[knifedeaths]} + " . $data["be0_$x"] . ",
				c4deaths = {$row[c4deaths]} + " . $data["be1_$x"] . ",
				handgrenadedeaths = {$row[handgrenadedeaths]} + " . $data["be3_$x"] . ",
				claymoredeaths = {$row[claymoredeaths]} + " . $data["be2_$x"] . ",
				shockpaddeaths = {$row[shockpaddeaths]} + " . $data["be4_$x"] . ",
				atminedeaths = {$row[atminedeaths]} + " . $data["be5_$x"] . ",
				ziplinedeaths = {$row[ziplinedeaths]} + " . $data["be8_$x"] . ",
				grapplinghookdeaths = {$row[grapplinghookdeaths]} + " . $data["be9_$x"] . ",
				tacticaldeployed = {$row[tacticaldeployed]} + " . $data["de6_$x"] . ",
				grapplinghookdeployed = {$row[grapplinghookdeployed]} + " . $data["de7_$x"] . ",
				ziplinedeployed = {$row[ziplinedeployed]} + " . $data["de8_$x"] . ",
				fired0 = {$row[fired0]} + " . $data["sw0_$x"] . ",
				fired1 = {$row[fired1]} + " . $data["sw1_$x"] . ",
				fired2 = {$row[fired2]} + " . $data["sw2_$x"] . ",
				fired3 = {$row[fired3]} + " . $data["sw3_$x"] . ",
				fired4 = {$row[fired4]} + " . $data["sw4_$x"] . ",
				fired5 = {$row[fired5]} + " . $data["sw5_$x"] . ",
				fired6 = {$row[fired6]} + " . $data["sw6_$x"] . ",
				fired7 = {$row[fired7]} + " . $data["sw7_$x"] . ",
				fired8 = {$row[fired8]} + " . $data["sw8_$x"] . ",
				knifefired = {$row[knifefired]} + " . $data["se0_$x"] . ",
				c4fired = {$row[c4fired]} + " . $data["se1_$x"] . ",
				claymorefired = {$row[claymorefired]} + " . $data["se2_$x"] . ",
				handgrenadefired = {$row[handgrenadefired]} + " . $data["se3_$x"] . ",
				shockpadfired = {$row[shockpadfired]} + " . $data["se4_$x"] . ",
				atminefired = {$row[atminefired]} + " . $data["se5_$x"] . ",
				hit0 = {$row[hit0]} + " . $data["hw0_$x"] . ",
				hit1 = {$row[hit1]} + " . $data["hw1_$x"] . ",
				hit2 = {$row[hit2]} + " . $data["hw2_$x"] . ",
				hit3 = {$row[hit3]} + " . $data["hw3_$x"] . ",
				hit4 = {$row[hit4]} + " . $data["hw4_$x"] . ",
				hit5 = {$row[hit5]} + " . $data["hw5_$x"] . ",
				hit6 = {$row[hit6]} + " . $data["hw6_$x"] . ",
				hit7 = {$row[hit7]} + " . $data["hw7_$x"] . ",
				hit8 = {$row[hit8]} + " . $data["hw8_$x"] . ",
				knifehit = {$row[knifehit]} + " . $data["he0_$x"] . ",
				c4hit = {$row[c4hit]} + " . $data["he1_$x"] . ",
				claymorehit = {$row[claymorehit]} + " . $data["he2_$x"] . ",
				handgrenadehit = {$row[handgrenadehit]} + " . $data["he3_$x"] . ",
				shockpadhit = {$row[shockpadhit]} + " . $data["he4_$x"] . ",
				atminehit = {$row[atminehit]} + " . $data["he5_$x"] . "
				WHERE id = " . $data["pID_$x"] . "
			";
			mysql_query($query) or die(mysql_error());
		}

		// Maps
		$query = "SELECT * FROM maps WHERE (id = " . $data["pID_$x"] . ") AND (mapid = {$data[m]})";
		$result = mysql_query($query) or die(mysql_error());
		if (!mysql_num_rows($result))
		{
			// Insert information
			$query = "INSERT INTO maps SET
				id = " . $data["pID_$x"] . ",
				mapid = {$data[m]},
				time = " . $data["ctime_$x"] . ",
				win = {$wins},
				loss = {$losses},
				best = " . $data["rs_$x"] . ",
				worst = " .$data["rs_$x"] . "
			";
			mysql_query($query) or die(mysql_error());
		}
		else
		{
			$row = mysql_fetch_array($result);

			// Calculate best/worst round score
			$best = ($row['best'] > $data["rs_$x"]) ? $row['best'] : $data["rs_$x"];
			$worst = ($row['worst'] < $data["rs_$x"]) ? $row['worst'] : $data["rs_$x"];

			// Update information
			$query = "UPDATE maps SET
				time = {$row[time]} + " . $data["ctime_$x"] . ",
				win = {$row[win]} + {$wins},
				loss = {$row[loss]} + {$losses},
				best = {$best},
				worst = {$worst}
				WHERE (id = " . $data["pID_$x"] . ") AND (mapid = {$data[m]})
			";
			mysql_query($query) or die(mysql_error());
		}

	}

	// Process map information
	$query = "SELECT * FROM mapinfo WHERE id = {$data[m]}";
	$result = mysql_query($query) or die(mysql_error());
	if (!mysql_num_rows($result))
	{
		$query = "INSERT INTO mapinfo SET
			id = {$data[m]},
			name = '{$mapname}',
			score = {$globals[mapscore]},
			time = {$data[mapend]} - {$data[mapstart]},
			times = 1,
			kills = {$globals[mapkills]},
			deaths = {$globals[mapdeaths]}
		";
		mysql_query($query) or die(mysql_error());
	}
	else
	{
		$row = mysql_fetch_array($result);
		$query = "UPDATE mapinfo SET
			score = {$row[score]} + {$globals[mapscore]},
			time = {$row[time]} + ({$data[mapend]} - {$data[mapstart]}),
			times = {$row[times]} + 1,
			kills = {$row[kills]} + {$globals[mapkills]},
			deaths = {$row[deaths]} + {$globals[mapdeaths]}
			WHERE id = {$data[m]}
		";
		mysql_query($query) or die(mysql_error());
	}

	// Check for SMOC
	smocCheck();
}

// Close database connection
@mysql_close($connection);

// Compile awards
function getAwards()
{
	global $data, $x, $awards;

	// BF2
#badges
	if (isset($data["kcb_$x"]))
	{
		$awards[] = 1031406;
		$awards[] = $data["kcb_$x"];
	}
	if (isset($data["pcb_$x"]))
	{
		$awards[] = 1031619;
		$awards[] = $data["pcb_$x"];
	}
	if (isset($data["Acb_$x"]))
	{
		$awards[] = 1031119;
		$awards[] = $data["Acb_$x"];
	}
	if (isset($data["Atcb_$x"]))
	{
		$awards[] = 1031120;
		$awards[] = $data["Atcb_$x"];
	}
	if (isset($data["Sncb_$x"]))
	{
		$awards[] = 1031109;
		$awards[] = $data["Sncb_$x"];
	}
	if (isset($data["Socb_$x"]))
	{
		$awards[] = 1031115;
		$awards[] = $data["Socb_$x"];
	}
	if (isset($data["Sucb_$x"]))
	{
		$awards[] = 1031121;
		$awards[] = $data["Sucb_$x"];
	}
	if (isset($data["Ecb_$x"]))
	{
		$awards[] = 1031105;
		$awards[] = $data["Ecb_$x"];
	}
	if (isset($data["Mcb_$x"]))
	{
		$awards[] = 1031113;
		$awards[] = $data["Mcb_$x"];
	}
	if (isset($data["Eob_$x"]))
	{
		$awards[] = 1032415;
		$awards[] = $data["Eob_$x"];
	}
	if (isset($data["Fab_$x"]))
	{
		$awards[] = 1190601;
		$awards[] = $data["Fab_$x"];
	}
	if (isset($data["Eb_$x"]))
	{
		$awards[] = 1190507;
		$awards[] = $data["Eb_$x"];
	}
	if (isset($data["Rb_$x"]))
	{
		$awards[] = 1191819;
		$awards[] = $data["Rb_$x"];
	}
	if (isset($data["Cb_$x"]))
	{
		$awards[] = 1190304;
		$awards[] = $data["Cb_$x"];
	}
	if (isset($data["Ab_$x"]))
	{
		$awards[] = 1220118;
		$awards[] = $data["Ab_$x"];
	}
	if (isset($data["Tb_$x"]))
	{
		$awards[] = 1222016;
		$awards[] = $data["Tb_$x"];
	}
	if (isset($data["Hb_$x"]))
	{
		$awards[] = 1220803;
		$awards[] = $data["Hb_$x"];
	}
	if (isset($data["Avb_$x"]))
	{
		$awards[] = 1220122;
		$awards[] = $data["Avb_$x"];
	}
	if (isset($data["adb_$x"]))
	{
		$awards[] = 1220104;
		$awards[] = $data["adb_$x"];
	}
	if (isset($data["Swb_$x"]))
	{
		$awards[] = 1031923;
		$awards[] = $data["Swb_$x"];
	}
#ribbons
	if (isset($data["Car_$x"]))
	{
		$awards[] = 3240301;
		$awards[] = 1;
	}
	if (isset($data["Mur_$x"]))
	{
		$awards[] = 3211305;
		$awards[] = 1;
	}
	if (isset($data["Ior_$x"]))
	{
		$awards[] = 3150914;
		$awards[] = 1;
	}
	if (isset($data["Sor_$x"]))
	{
		$awards[] = 3151920;
		$awards[] = 1;
	}
	if (isset($data["Dsr_$x"]))
	{
		$awards[] = 3190409;
		$awards[] = 1;
	}
	if (isset($data["Wcr_$x"]))
	{
		$awards[] = 3242303;
		$awards[] = 1;
	}
	if (isset($data["Vur_$x"]))
	{
		$awards[] = 3212201;
		$awards[] = 1;
	}
	if (isset($data["Lmr_$x"]))
	{
		$awards[] = 3241213;
		$awards[] = 1;
	}
	if (isset($data["Csr_$x"]))
	{
		$awards[] = 3190318;
		$awards[] = 1;
	}
	if (isset($data["Arr_$x"]))
	{
		$awards[] = 3190118;
		$awards[] = 1;
	}
	if (isset($data["Aer_$x"]))
	{
		$awards[] = 3190105;
		$awards[] = 1;
	}
	if (isset($data["Hsr_$x"]))
	{
		$awards[] = 3190803;
		$awards[] = 1;
	}
	if (isset($data["Adr_$x"]))
	{
		$awards[] = 3040109;
		$awards[] = 1;
	}
	if (isset($data["Gdr_$x"]))
	{
		$awards[] = 3040718;
		$awards[] = 1;
	}
	if (isset($data["Ar_$x"]))
	{
		$awards[] = 3240102;
		$awards[] = 1;
	}
	if (isset($data["gcr_$x"]))
	{
		$awards[] = 3240703;
		$awards[] = 1;
	}
	if (isset($data["Msr_$x"]))
	{
		$awards[] = 3191305;
		$awards[] = 1;
	}
	if (isset($data["Fsr_$x"]))
	{
		$awards[] = 3190605;
		$awards[] = 1;
	}
#medals
	if (isset($data["erg_$x"]))
	{
		$awards[] = 2051907;
		$awards[] = 1;
	}
	if (isset($data["ers_$x"]))
	{
		$awards[] = 2051919;
		$awards[] = 1;
	}
	if (isset($data["erb_$x"]))
	{
		$awards[] = 2051902;
		$awards[] = 1;
	}
	if (isset($data["ph_$x"]))
	{
		$awards[] = 2191608;
		$awards[] = 1;
	}
	if (isset($data["Msm_$x"]))
	{
		$awards[] = 2191319;
		$awards[] = 1;
	}
	if (isset($data["Cam_$x"]))
	{
		$awards[] = 2190303;
		$awards[] = 1;
	}
	if (isset($data["Acm_$x"]))
	{
		$awards[] = 2190309;
		$awards[] = 1;
	}
	if (isset($data["Arm_$x"]))
	{
		$awards[] = 2190318;
		$awards[] = 1;
	}
	if (isset($data["Hcm_$x"]))
	{
		$awards[] = 2190308;
		$awards[] = 1;
	}
	if (isset($data["gcm_$x"]))
	{
		$awards[] = 2190703;
		$awards[] = 1;
	}
	if (isset($data["Cim_$x"]))
	{
		$awards[] = 2020903;
		$awards[] = 1;
	}
	if (isset($data["Mim_$x"]))
	{
		$awards[] = 2020913;
		$awards[] = 1;
	}
	if (isset($data["Sim_$x"]))
	{
		$awards[] = 2020919;
		$awards[] = 1;
	}
	if (isset($data["Mvm_$x"]))
	{
		$awards[] = 2021322;
		$awards[] = 1;
	}
	if (isset($data["Dsm_$x"]))
	{
		$awards[] = 2020419;
		$awards[] = 1;
	}
	if (isset($data["Ncm_$x"]))
	{
		$awards[] = 2021403;
		$awards[] = 1;
	}
	if (isset($data["Gsm_$x"]))
	{
		$awards[] = 2020719;
		$awards[] = 1;
	}
	if (isset($data["pmm_$x"]))
	{
		$awards[] = 2021613;
		$awards[] = 1;
	}

	// SF
	if ($data['v'] == 'xpack')
	{
#badges
		if (isset($data["X1Acb_$x"]))
		{
			$awards[] = 1261119;
			$awards[] = $data["X1Acb_$x"];
		}
		if (isset($data["X1Atcb_$x"]))
		{
			$awards[] = 1261120;
			$awards[] = $data["X1Atcb_$x"];
		}
		if (isset($data["X1Sncb_$x"]))
		{
			$awards[] = 1261109;
			$awards[] = $data["X1Sncb_$x"];
		}
		if (isset($data["X1Socb_$x"]))
		{
			$awards[] = 1261115;
			$awards[] = $data["X1Socb_$x"];
		}
		if (isset($data["X1Sucb_$x"]))
		{
			$awards[] = 1261121;
			$awards[] = $data["X1Sucb_$x"];
		}
		if (isset($data["X1Ecb_$x"]))
		{
			$awards[] = 1261105;
			$awards[] = $data["X1Ecb_$x"];
		}
		if (isset($data["X1Mcb_$x"]))
		{
			$awards[] = 1261113;
			$awards[] = $data["X1Mcb_$x"];
		}
		if (isset($data["X1fbb_$x"]))
		{
			$awards[] = 1260602;
			$awards[] = $data["X1fbb_$x"];
		}
		if (isset($data["X1ghb_$x"]))
		{
			$awards[] = 1260708;
			$awards[] = $data["X1ghb_$x"];
		}
		if (isset($data["X1zlb_$x"]))
		{
			$awards[] = 1262612;
			$awards[] = $data["X1zlb_$x"];
		}
#ribbons
		if (isset($data["X1Nss_$x"]))
		{
			$awards[] = 3261919;
			$awards[] = 1;
		}
		if (isset($data["X1Sas_$x"]))
		{
			$awards[] = 3261901;
			$awards[] = 1;
		}
		if (isset($data["X1Rsz_$x"]))
		{
			$awards[] = 3261819;
			$awards[] = 1;
		}
		if (isset($data["X1Msf_$x"]))
		{
			$awards[] = 3261319;
			$awards[] = 1;
		}
		if (isset($data["X1Reb_$x"]))
		{
			$awards[] = 3261805;
			$awards[] = 1;
		}
		if (isset($data["X1Ins_$x"]))
		{
			$awards[] = 3260914;
			$awards[] = 1;
		}
		if (isset($data["X1Csr_$x"]))
		{
			$awards[] = 3260318;
			$awards[] = 1;
		}
		if (isset($data["X1Arr_$x"]))
		{
			$awards[] = 3260118;
			$awards[] = 1;
		}
		if (isset($data["X1Aer_$x"]))
		{
			$awards[] = 3260105;
			$awards[] = 1;
		}
		if (isset($data["X1Hsr_$x"]))
		{
			$awards[] = 3260803;
			$awards[] = 1;
		}
#medals
		if (isset($data["X1Nsm_$x"]))
		{
			$awards[] = 2261913;
			$awards[] = 1;
		}
		if (isset($data["X1Ssm_$x"]))
		{
			$awards[] = 2261919;
			$awards[] = 1;
		}
		if (isset($data["X1Spm_$x"]))
		{
			$awards[] = 2261613;
			$awards[] = 1;
		}
		if (isset($data["X1Mcm_$x"]))
		{
			$awards[] = 2261303;
			$awards[] = 1;
		}
		if (isset($data["X1Rbm_$x"]))
		{
			$awards[] = 2261802;
			$awards[] = 1;
		}
		if (isset($data["X1Inm_$x"]))
		{
			$awards[] = 2260914;
			$awards[] = 1;
		}
	}
}

// Check for SMOC
function smocCheck()
{
	// Calculated on the first of each month
	if (date('j') == 1)
	{
		$players = array();
		$query = "SELECT id, score FROM player WHERE rank = 10";
		$result = mysql_query($query) or die(mysql_error());
		if (mysql_num_rows($result))
		{
			while ($row = mysql_fetch_array($result)) {$players[$row['id']] = $row['score'];}
			arsort($players);
			$id = key($players);

			// Check for old
			$query = "SELECT id FROM awards WHERE awd = 6666666";
			$result = mysql_query($query) or die(mysql_error());
			if (mysql_num_rows($result))
			{
				$row = mysql_fetch_array($result);

				// Check for same
				if ($id != $row['id'])
				{
					$query = "DELETE FROM awards WHERE (id = " . $row['id'] . ") AND (awd = 6666666)";
					mysql_query($query) or die(mysql_error());
					$query = "UPDATE player SET rank = 10 WHERE id = " . $row['id'];
					mysql_query($query) or die(mysql_error());

					// Award new
					$query = "INSERT INTO awards SET
						id = {$id},
						awd = 6666666
					";
					mysql_query($query) or die(mysql_error());
					$query = "UPDATE player SET rank = 11 WHERE id = {$id}";
					mysql_query($query) or die(mysql_error());
				}
			}
			else
			{
				// Award new
				$query = "INSERT INTO awards SET
					id = {$id},
					awd = 6666666
				";
				mysql_query($query) or die(mysql_error());
				$query = "UPDATE player SET rank = 11 WHERE id = {$id}";
				mysql_query($query) or die(mysql_error());
			}
		}
	}
}

?>
